## dbus-test-runner 15.04.0%2B19.04.20190115-0ubuntu1

=== _BUILD/po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = dbus-test-runner
PACKAGE = dbus-test-runner
VERSION = 15.04.0

SHELL = /bin/bash

srcdir = ../../po
top_srcdir = ../..
top_builddir = ..
VPATH = ../../po

prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = ${SHELL} /tmp/dbus-test-runner-ubuntu-disco-3574.1/install-sh
# Automake >= 1.8 provides $(MKDIR_P).
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT="$(INTLTOOL_EXTRACT)" XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT="$(INTLTOOL_EXTRACT)" XGETTEXT="$(XGETTEXT)" srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; else echo "$(ALL_LINGUAS)"; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep \^$$lang$$ $(srcdir)/LINGUAS 2>/dev/null`" -o -n "`echo $$ALINGUAS|tr ' ' '\n'|grep \^$$lang$$`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)" -o -n "$(LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../../src/dbus-test-runner.c

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

AM_DEFAULT_VERBOSITY = 0
INTLTOOL_V_MSGFMT = $(INTLTOOL__v_MSGFMT_$(V))
INTLTOOL__v_MSGFMT_= $(INTLTOOL__v_MSGFMT_$(AM_DEFAULT_VERBOSITY))
INTLTOOL__v_MSGFMT_0 = @echo "  MSGFMT" $@;

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(INTLTOOL_V_MSGFMT)$(MSGFMT) -o $@ $<

.po.gmo:
	$(INTLTOOL_V_MSGFMT)file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info ctags tags CTAGS TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## dbus-test-runner 14.04.1+14.04.20140320

=== debian/changelog ===
dbus-test-runner (14.04.1+14.04.20140320-0mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Switch to 3.0 (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Apr 2017 13:17:55 -0700

dbus-test-runner (14.04.1+14.04.20140320-0ubuntu1) trusty; urgency=medium

  [ Ted Gould ]
  * Emit properties changed when updating a property
  * Merge policy and manual test

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Mar 2014 10:49:36 +0000

dbus-test-runner (14.04.0+14.04.20140226-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Grab the bus so we can ensure it closes before starting the next
    test

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 26 Feb 2014 19:50:28 +0000

dbus-test-runner (14.04.0+14.04.20140217.1-0ubuntu1) trusty; urgency=low

  [ Charles Kerr ]
  * fix leaks by always g_free()ing the return value of
    g_get_current_dir().

  [ Ted Gould ]
  * Make sure to not clear the watcher if it fired. (LP: #1260779)
  * Support having objects with different interfaces on the same path.
  * Flushing trunk with a release

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Feb 2014 18:01:09 +0000

dbus-test-runner (14.04.0+14.04.20131126-0ubuntu2) trusty; urgency=medium

  * Fix test issues in trusty. Patch taken from LP: #1260779.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2013 10:41:33 +0100

dbus-test-runner (14.04.0+14.04.20131126-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Bumping version and adding DBusMock support

  [ Michał Sawicz ]
  * Add Multi-Arch and Vcs-* entries in debian/control. (LP: #1246074)

  [ Steve Langasek ]
  * Add Multi-Arch and Vcs-* entries in debian/control. (LP: #1246074)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 69

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Nov 2013 02:04:06 +0000

dbus-test-runner (12.10.2+13.10.20130724-0ubuntu2) trusty; urgency=low

  * Mark dbus-test-runner Multi-Arch: foreign, and mark libdbustest1*
    Multi-Arch: same.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Oct 2013 13:47:43 -0700

dbus-test-runner (12.10.2+13.10.20130724-0ubuntu1) saucy; urgency=low

  [ Michal Hruby ]
  * Watch created pipes for the G_IO_HUP event, as when a pipe closes,
    polling it will return this event.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 65

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 24 Jul 2013 00:01:57 +0000

dbus-test-runner (12.10.2+13.10.20130717-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * Propagate the current environment to activated services Do not clear
    the environment when starting dbus-daemon. This means that the
    current environment will be available to all the services activated
    by the daemon, in the same way that it is available to the processes
    given to the dbus-test-runner command line. . (LP: #1201409)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 63

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Jul 2013 00:01:41 +0000

dbus-test-runner (12.10.2daily13.06.05-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 61

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Jun 2013 00:02:11 +0000

dbus-test-runner (12.10.2daily13.05.03ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 60 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 03 May 2013 00:00:54 +0000

dbus-test-runner (12.10.2daily13.02.26-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 59

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Tue, 26 Feb 2013 00:01:23 +0000

dbus-test-runner (12.10.2daily13.02.15.1-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * dbus-test-runner is not killing dbus reliably (LP: #1122948)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 57

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 15 Feb 2013 07:49:35 +0000

dbus-test-runner (12.10.2daily13.01.31-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 55

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 31 Jan 2013 00:00:54 +0000

dbus-test-runner (12.10.2daily13.01.10-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control:
    - Update style to use commas at the end of dependency lists.
    - Drop Build-Depends on cdbs.
    - Add gnome-common to Build-Depends.
    - Reorganize Build-Depends for clarity.
  * debian/rules:
    - Migrate from cdbs to debhelper 9 sequencer.
    - Override dh_autoreconf to call autogen.sh and not run configure.
    - Remove unnecessary .la/.a files.
  * debian/libdbustest1-dev.install: remove debian/tmp from paths.
  * debian/libdbustest1.install, debian/libdbustest1-dev.install: update paths
    for the architecture triplets.
  * debian/control, debian/tests/control, debian/tests/with-bustle:
    add autopkgtest testing for dbus-test-runner using bustle.

  [ Didier Roche ]
  * Automatic snapshot from revision 50 (bootstrap)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 52

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Thu, 10 Jan 2013 16:12:21 +0000

dbus-test-runner (12.10.1-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Ensure that buffers get flushed even on slow systems. 
      (LP: #1010739)
    - Add option to wait until task complete. (LP: #1053168)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 22:26:17 +0200

dbus-test-runner (12.10.0-0ubuntu2) quantal; urgency=low

  * debian/control:
    - dbus-test-runner Build Depends on dbus

 -- Adam Stokes <adam.stokes@canonical.com>  Thu, 12 Jul 2012 14:49:44 -0400

dbus-test-runner (12.10.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control, debian/dbus-test-runner.install, 


=== debian/control ===
Source: dbus-test-runner
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               xvfb,
               libdbus-glib-1-dev,
               gvfs-backends,
               dbus,
               python3-dbusmock,
Standards-Version: 3.9.3
Homepage: https://launchpad.net/dbus-test-runner
XS-Testsuite: autopkgtest

Package: dbus-test-runner
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gvfs-backends,
         dbus,
Suggests: bustle,
Description: Runs tests under a new DBus session
 A simple little executable for running a couple of programs under a 
 new DBus session.
 
Package: libdbustest1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: python3-dbusmock,
Description: Runs tests under a new DBus session
 A simple little executable for running a couple of programs under a 
 new DBus session.
 .
 This package contains shared libraries.
 
Package: libdbustest1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-dev,
         libdbustest1 (= ${binary:Version}),
Description: Runs tests under a new DBus session
 A simple little executable for running a couple of programs under a 
 new DBus session.
 .
 This package contains files that are needed to build.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --disable-scrollkeeper

override_dh_install:
	find debian/ -name \*.la -delete
	find debian/ -name \*.a -delete
	dh_install --fail-missing

=== debian/tests/control ===
Tests: with-bustle
Depends: dbus-test-runner, bustle
Restrictions: build-needed

## dbus-test-runner 15.04.0%2B19.04.20190115-0ubuntu1

=== debian/changelog ===
dbus-test-runner (15.04.0+19.04.20190115-0ubuntu1) disco; urgency=medium

  * libdbustest: port to new GObject private ABI (LP: #1801692)
  * Don't build with -Werror, it causes unnecessary build failures

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 15 Jan 2019 09:41:30 +0000

dbus-test-runner (15.04.0+16.10.20160906-0ubuntu1) yakkety; urgency=medium

  * Adjusting all the waits to be 60 seconds

 -- Ted Gould <ted@gould.cx>  Tue, 06 Sep 2016 14:33:59 +0000

dbus-test-runner (15.04.0+15.10.20151002-0ubuntu1) wily; urgency=medium

  [ Lars Uebernickel ]
  * test-param-wait-system: fix race between tasks

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 02 Oct 2015 17:10:06 +0000

dbus-test-runner (15.04.0+15.04.20150218-0ubuntu2) wily; urgency=medium

  * debian/tests/control: bustle-pcap has been split out into its own package.
    Add a test-dep on that.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 12 Jun 2015 10:08:11 +0100

dbus-test-runner (15.04.0+15.04.20150218-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * debian/libdbustest1.symbols: auto-update to released version

  [ Ted Gould ]
  * Add function to remove tasks from the service

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 18 Feb 2015 03:45:01 +0000

dbus-test-runner (15.04.0+15.04.20150202.3-0ubuntu1) vivid; urgency=medium

  [ Ubuntu daily release ]
  * debian/libdbustest1.symbols: auto-update to released version

  [ Ted Gould ]
  * Make watching the task use the same bus the task is on

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 02 Feb 2015 17:38:06 +0000

dbus-test-runner (15.04.0+15.04.20150120.1-0ubuntu1) vivid; urgency=low

  [ David Riebenbauer ]
  * Bump glib dependency to 2.34 (LP: #1111485)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Jan 2015 22:26:48 +0000

dbus-test-runner (15.04.0+15.04.20141209-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Adding support for emulating a system bus
  * Moving configuration files to the library packages
  * Add symbols checking to the library

  [ Ubuntu daily release ]
  * debian/libdbustest1.symbols: auto-update to released version

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Dec 2014 22:32:31 +0000

dbus-test-runner (14.04.1+14.10.20140908-0ubuntu1) utopic; urgency=low

  [ Ted Gould ]
  * Drop gvfs-backends because no one can figure out why it is there.
    (LP: #1296329)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Sep 2014 18:24:50 +0000

dbus-test-runner (14.04.1+14.04.20140320-0ubuntu3) utopic; urgency=medium

  * Add missing test-dep since build-deps from the build-needed restriction
    might not be available per the autopkgtest spec.
    - intltool
    - pkg-config
    - libdbus-glib-1-dev
    - python3-dbusmock
  * debian/test/with-bustle: Run tests with VERBOSE=1 so we get useful
    information when they fail.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 02 May 2014 15:22:53 +0100

dbus-test-runner (14.04.1+14.04.20140320-0ubuntu2) utopic; urgency=medium

  * Add build-essential to dep8 dependencies.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 02 May 2014 02:48:28 +0100
